<?php
/**
 * BSS Commerce Co.
 *
 * NOTICE OF LICENSE
 *
 * @category   BSS
 * @package    Bss_InventoryReport
 * @author     Extension Team
 * @copyright  Copyright (c) 2018-2019 BSS Commerce Co. ( http://bsscommerce.com )
 * @license    http://bsscommerce.com/Bss-Commerce-License.txt
 */
namespace Bss\InventoryReport\Model\Grid;

use Magento\Eav\Model\Entity\Attribute\Source\AbstractSource;
use Bss\InventoryReport\Model\MultiInventorySource\MsiObjectManagement;

class StockName extends AbstractSource
{
    /**
     * @var MsiObjectManagement
     */
    protected $msiObjectManagement;

    /**
     * SourceName constructor.
     *
     * @param MsiObjectManagement $msiObjectManagement
     */
    public function __construct(
        MsiObjectManagement $msiObjectManagement
    ) {
        $this->msiObjectManagement = $msiObjectManagement;
    }

    /**
     * Retrieve option array with empty value
     *
     * @return string[]
     */
    public function getAllOptions()
    {
        $result = [];
        if ($this->msiObjectManagement->isMsiEnabled()) {
            $stockCollection = $this->msiObjectManagement->getStockModel()->create()->getCollection();
            foreach ($stockCollection as $stock) {
                $result[] = ['value' => $stock->getStockId(), 'label' => $stock->getName()];
            }
        }

        return $result;
    }
}
