<?php
/**
 * BSS Commerce Co.
 *
 * NOTICE OF LICENSE
 *
 * @category   BSS
 * @package    Bss_InventoryReport
 * @author     Extension Team
 * @copyright  Copyright (c) 2018-2019 BSS Commerce Co. ( http://bsscommerce.com )
 * @license    http://bsscommerce.com/Bss-Commerce-License.txt
 */
namespace Bss\InventoryReport\Plugin\Observer;

class RefundOrderInventoryObserver
{
    /**
     * @var \Magento\Framework\Registry
     */
    protected $registry;

    /**
     * RefundOrderInventoryObserver constructor.
     * @param \Magento\Framework\Registry $registry
     */
    public function __construct(
        \Magento\Framework\Registry $registry
    ) {
        $this->registry = $registry;
    }

    /**
     * Registry creadit information
     *
     * @param \Magento\SalesInventory\Observer\RefundOrderInventoryObserver $subject
     * @param \Closure $proceed
     * @param \Magento\Framework\Event\Observer $observer
     * @return mixed
     * @SuppressWarnings(PHPMD.UnusedFormalParameter)
     */
    public function aroundExecute(
        \Magento\SalesInventory\Observer\RefundOrderInventoryObserver $subject,
        \Closure $proceed,
        \Magento\Framework\Event\Observer $observer
    ) {
        $creditmemo = $observer->getEvent()->getCreditmemo();
        $this->registry->unregister('bss_creadit_memo_id');
        $this->registry->unregister('bss_creadit_memo_incrementid');
        $this->registry->register('bss_creadit_memo_id', $creditmemo->getId());
        $this->registry->register('bss_creadit_memo_incrementid', $creditmemo->getIncrementId());
        return $proceed($observer);
    }
}
