<?php
/**
 * BSS Commerce Co.
 *
 * NOTICE OF LICENSE
 *
 * @category   BSS
 * @package    Bss_InventoryReport
 * @author     Extension Team
 * @copyright  Copyright (c) 2018-2019 BSS Commerce Co. ( http://bsscommerce.com )
 * @license    http://bsscommerce.com/Bss-Commerce-License.txt
 */
namespace Bss\InventoryReport\Ui\Component\Listing\Column;

use Magento\Backend\Helper\Data;
use Magento\Framework\View\Element\UiComponent\ContextInterface;
use Magento\Framework\View\Element\UiComponentFactory;

class ProductSku extends \Bss\InventoryReport\Ui\Component\Listing\Column\AbstractColumn
{
    /**
     * @var Data
     */
    private $adminhtmlData;

    /**
     * ProductSku constructor.
     * @param ContextInterface $context
     * @param UiComponentFactory $uiComponentFactory
     * @param Data $adminhtmlData
     * @param array $components
     * @param array $data
     */
    public function __construct(
        ContextInterface $context,
        UiComponentFactory $uiComponentFactory,
        Data $adminhtmlData,
        array $components = [],
        array $data = []
    ) {
        parent::__construct($context, $uiComponentFactory, $components, $data);
        $this->adminhtmlData = $adminhtmlData;
    }

    /**
     * Prepare Column Product Sku
     *
     * @param array $item
     * @return string[]
     */
    protected function _prepareItem(array &$item)
    {
        if (isset($item['report_id'])) {
            $productSku = $item['product_sku'];
            $productId = $item['product_id'];
            $adminUrl = $this->adminhtmlData->getUrl('catalog/product/edit', ['id' => $productId]);
            $item[$this->getData('name')] = '<a href="' . $adminUrl . '" target="_blank">' . $productSku . '</a>';
        }
        return $item;
    }
}
