<?php
/**
 * BSS Commerce Co.
 *
 * NOTICE OF LICENSE
 *
 * @category   BSS
 * @package    Bss_InventoryReport
 * @author     Extension Team
 * @copyright  Copyright (c) 2018-2019 BSS Commerce Co. ( http://bsscommerce.com )
 * @license    http://bsscommerce.com/Bss-Commerce-License.txt
 */
namespace Bss\InventoryReport\Ui\Component\Listing\Column;

use Bss\InventoryReport\Model\ReportFactory;
use Magento\Framework\View\Element\UiComponent\ContextInterface;
use Magento\Framework\View\Element\UiComponentFactory;
use Magento\Store\Model\StoreManagerInterface;

class SaleableQtyChange extends \Bss\InventoryReport\Ui\Component\Listing\Column\AbstractColumn
{
    /**
     * @var StoreManagerInterface
     */
    private $storeManager;
    /**
     * @var ReportFactory
     */
    private $reportFactory;

    /**
     * QtyChange constructor.
     * @param ContextInterface $context
     * @param UiComponentFactory $uiComponentFactory
     * @param StoreManagerInterface $storeManager
     * @param ReportFactory $reportFactory
     * @param array $components
     * @param array $data
     */
    public function __construct(
        ContextInterface $context,
        UiComponentFactory $uiComponentFactory,
        StoreManagerInterface $storeManager,
        ReportFactory $reportFactory,
        array $components = [],
        array $data = []
    ) {
        parent::__construct($context, $uiComponentFactory, $components, $data);
        $this->storeManager = $storeManager;
        $this->reportFactory = $reportFactory;
    }

    /**
     * Prepre Column Qty Change
     *
     * @param array $item
     * @return string[]
     */
    protected function _prepareItem(array &$item)
    {
        if (isset($item['report_id'])) {
            $saleableQtyChange = $item['saleable_qty_change'];
            if ($saleableQtyChange === null || $saleableQtyChange == 0) {
                return $item[$this->getData('name')] = null;
            }
            if ($saleableQtyChange > 0) {
                $item[$this->getData('name')] = '+ ' . $saleableQtyChange;
            } else {
                $saleableQtyChange = abs($saleableQtyChange);
                $item[$this->getData('name')] = '- ' . $saleableQtyChange;
            }
        }
        return $item;
    }
}
