<?php
/**
 * BSS Commerce Co.
 *
 * NOTICE OF LICENSE
 *
 * @category   BSS
 * @package    Bss_InventoryReport
 * @author     Extension Team
 * @copyright  Copyright (c) 2018-2019 BSS Commerce Co. ( http://bsscommerce.com )
 * @license    http://bsscommerce.com/Bss-Commerce-License.txt
 */
namespace Bss\InventoryReport\Ui\Component\Listing\Column;

use Magento\Backend\Helper\Data;
use Magento\Framework\View\Element\UiComponent\ContextInterface;
use Magento\Framework\View\Element\UiComponentFactory;

class User extends AbstractColumn
{
    /**
     * @var Data
     */
    private $adminhtmlData;

    /**
     * User constructor.
     *
     * @param ContextInterface $context
     * @param UiComponentFactory $uiComponentFactory
     * @param Data $adminhtmlData
     * @param array $components
     * @param array $data
     */
    public function __construct(
        ContextInterface $context,
        UiComponentFactory $uiComponentFactory,
        Data $adminhtmlData,
        array $components = [],
        array $data = []
    ) {
        parent::__construct($context, $uiComponentFactory, $components, $data);
        $this->adminhtmlData = $adminhtmlData;
    }

    /**
     * Prepare user column grid for customer
     *
     * @param array $item
     * @return string[]
     */
    protected function _prepareItem(array &$item)
    {
        if (isset($item['report_id']) && isset($item['customer_id'])) {
            $customerId = $item['customer_id'];
            $customer = $item['user'];
            $customerUrl = $this->adminhtmlData->getUrl('customer/*/edit', ['id' => $customerId]);
            $item[$this->getData('name')] = '<a href="' . $customerUrl . '" target="_blank">' . $customer . '</a>';
        }

        return $item;
    }
}
